#!/bin/bash

# shairport.sh v1.00 (27th January 2015)
#  Deals with running Shairport for SqueezePlay

if [ -e /etc/init.d/avahi-daemon ]; then

	while true; do

		AIRNAME="SqueezePlay"
		AIRSTATUS="enabled"
		[ -f /home/$USER/.squeezeplay/userpath/settings/Playback.lua ] && AIRNAME=`cat /home/$USER/.squeezeplay/userpath/settings/Playback.lua | awk -F\name=\" {'print $2'} | awk -F\" {'print $1'}`
		[ -f /home/$USER/.squeezeplay/userpath/settings/JogglerFeatures.lua ] && AIRSTATUS=`cat /home/$USER/.squeezeplay/userpath/settings/JogglerFeatures.lua | awk -F\airss=\" {'print $2'} | awk -F\" {'print $1'}`

		if [[ "$AIRSTATUS" != "enabled" ]]; then

			exit 0

		else

			echo "Starting Shairport as $AIRNAME..."
			/opt/squeezeplay/bin/shairport -a "$AIRNAME" -b 271

		fi 

		sleep 2

	done

else

	echo "No sign of avahi-daemon. Cannot launch shairport."
	exit 1

fi
