#!/bin/sh

# squeezeplay.sh v1.16 (11th February 2014) by Andy Davison
#  This is the SqueezePlay startup script.

## Determine our environment
if [ -f /etc/software.ver ]; then
	PLATFORM="native"
elif [ -f /etc/sqpos.ver ]; then
	PLATFORM="sqpos"
else
	PLATFORM=`lsb_release -sc`
	[ "$PLATFORM" = "" ] && PLATFORM="generic"
fi
echo $PLATFORM > /tmp/sqp_platform

## Set install path
if [ "$PLATFORM" = "native" ]; then
	INSTALL_DIR=/media/opt/squeezeplay
else
	INSTALL_DIR=/opt/squeezeplay
fi

## Environment variables
LIB_DIR=$INSTALL_DIR/lib
INC_DIR=$INSTALL_DIR/inc
export LD_LIBRARY_PATH=$LIB_DIR:$LD_LIBRARY_PATH
export LD_INCLUDE_PATH=$INC_DIR:$LD_INCLUDE_PATH
export PATH=$PATH:$INSTALL_DIR/bin
export DISPLAY=:0.0
export SDL_AUDIODRIVER=alsa
export KMP_DUPLICATE_LIB_OK=TRUE
export SDL_VIDEO_WINDOW_POS=0,0
export SDL_VIDEO_ALLOW_SCREENSAVER=1

## Startup
if [ "$PLATFORM" = "native" ]; then
	
	unset SDL_WINDOWID
	cd $INSTALL_DIR/bin
	./jive
	
elif [ "$PLATFORM" = "sqpos" ]; then

	OPENFRAME=0

	if [ -e /tmp/openframe.ver ]; then

		OPENFRAME=`cat /tmp/openframe.ver`

		/usr/bin/amixer -q -c 0 sset "Master" 100% unmute

		if [ $OPENFRAME -eq 1 ]; then
			/usr/bin/amixer -q -c 0 sset "Auto-Mute Mode" "Line Out+Speaker" &>/dev/null
		fi

		if [ $OPENFRAME -eq 2 ]; then
			/usr/bin/amixer -q -c 0 sset "Auto-Mute Mode" "Enabled" &>/dev/null
			/usr/bin/amixer -q -c 0 sset "Loopback Mixing" "Enabled" &>/dev/null
		fi

		killall shairport &>/dev/null

		SHAIRPORTUP=""
		SHAIRPORTUP=`ps aux | grep shairport.sh | grep -v grep`
		if [ ${#SHAIRPORTUP} -eq 0 ]; then
			[ -x $INSTALL_DIR/bin/shairport.sh ]
			$INSTALL_DIR/bin/shairport.sh &
		fi

	else

		[ -x /usr/local/bin/shairport ] && $INSTALL_DIR/bin/sqp_JogglerFeatures.sh air start

	fi

	cd $INSTALL_DIR/bin
	#./jive &> /var/log/squeezeplay.log &
	./jive
	
else
	
	killall gnome-power-manager
	cd $INSTALL_DIR/bin
	./togglepanel.sh hide
	#./jive &> /var/log/squeezeplay.log &
	./jive
	
fi
